Skip to Content
Chameleon Docs

Read region

A saved region as the PDF renders it, unfinished, with the PDF's text inside it.

POST
/api/manuals/{id}/regions/{regionId}/read

A saved region as the PDF renders it, unfinished, with the PDF's text inside it.

Authorization

headerx-api-key<token>

Scope: manuals:read

Path Parameters

id*string
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
regionId*string
Match^[A-Za-z0-9_-]{1,64}$

Request Body

application/json
  1. body
pixelsPerPoint?number
Range0 < value <= 100

Response Body

The picture's link and size, and the text

application/json
  1. response
requestId*string
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
page*integer
picture*
scale*number
origin*array<any>
words*array<>
text*string
regionId*string
Example Request
curl -X POST 'https://www.chameleonlabs.org/api/manuals/string/regions/string/read' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "requestId": "string",  "page": 0,  "picture": {    "url": "http://example.com",    "expiresAt": "2019-08-24T14:15:22Z",    "path": "string",    "width": 0,    "height": 0  },  "scale": 0,  "origin": [    -100000,    -100000  ],  "words": [    {      "text": "string",      "box": [        0,        0,        0,        0      ]    }  ],  "text": "string",  "regionId": "string"}